<?php
/**
 * Tutor Extension
 *
 * @package NotificationX\Extensions
 */

namespace NotificationXPro\Extensions\PressBar;

use NotificationX\Core\Rules;
use NotificationX\Extensions\PressBar\PressBar as PressBarFree;

/**
 * PressBar Extension
 * @todo frontend filtering.
 */
class PressBar extends PressBarFree {
    /**
     * Initially Invoked when initialized.
     */
    public function __construct() {
        parent::__construct();
    }


    /**
     * Undocumented function
     *
     * @param array $options
     * @return array
     */
    public function content_fields($fields) {
		$fields = parent::content_fields($fields);

        $fields['utm_options'] = Rules::logicalRule([
            Rules::logicalRule([
                Rules::isOfType('elementor_id', 'number', true),
                Rules::isOfType('gutenberg_id', 'number', true),
            ], 'and'),
            Rules::is('source', $this->id, true),
        ], 'or', $fields['utm_options']);

        return $fields;
    }
}